import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import { getUserInfo } from './store'
// import './utils/rem'
import 'nprogress/nprogress.css'
import './style'

import Toast from './components/toast'
import Dialog from './components/dialog'

getUserInfo(false).finally(() => {
  const app = createApp(App)
  app.use(router).mount('#app')
  app.use(Toast).use(Dialog)
})
